Skip to main content
GET
/
api
/
metrics
List metrics
curl --request GET \
  --url https://dev.exante.app/api/metrics \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "items": [
      {
        "uid": "dso",
        "name": "Days Sales Outstanding",
        "context_type": "ORGANIZATION",
        "description": "<string>",
        "formula": "(Average AR / Credit Sales) x Days in period",
        "value_type": "currency",
        "storage_unit": "raw",
        "is_snapshot": true,
        "period_definition": "as_of_date",
        "is_active": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "_meta": {
      "page": 123,
      "per_page": 123,
      "total_pages": 123,
      "total_items": 123
    }
  }
}
Returns a paginated list of metric definitions.

Filtering

  • is_active: true or false
  • value_type: currency, percentage, days, count, ratio
  • context_type: ORGANIZATION, PARTY, USER
  • search: text search against uid and name

Sorting

Use sort=+field or sort=-field. Supported fields:
  • uid
  • name
  • context_type
  • value_type
  • created_at
  • updated_at

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100
sort
string

Sort field. Prefix with + for ascending or - for descending. Options: uid, name, context_type, value_type, created_at, updated_at

Search across uid and name

is_active
boolean

Filter by active status

value_type
enum<string>

Filter by value type

Available options:
currency,
percentage,
days,
count,
ratio
context_type
enum<string>

Filter by context type

Available options:
ORGANIZATION,
PARTY,
USER

Response

Paginated metric list

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object